## WebKitDOMHTMLDirectoryElement WebKitDOMHTMLDirectoryElement |

## Functions

gboolean | webkit_dom_html_directory_element_get_compact ()
void | webkit_dom_html_directory_element_set_compact ()

## Properties

gboolean | compact | Read / Write

## Types and Values

| WebKitDOMHTMLDirectoryElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLDirectoryElement

## Implemented Interfaces

WebKitDOMHTMLDirectoryElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_directory_element_get_compact ()

    gboolean
    webkit_dom_html_directory_element_get_compact
                                   (WebKitDOMHTMLDirectoryElement *self);

#### Parameters

self | A WebKitDOMHTMLDirectoryElement |

#### Returns

A gboolean

### webkit_dom_html_directory_element_set_compact ()

    void
    webkit_dom_html_directory_element_set_compact
                                   (WebKitDOMHTMLDirectoryElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLDirectoryElement |
value | A gboolean |

## Types and Values

### WebKitDOMHTMLDirectoryElement

    typedef struct _WebKitDOMHTMLDirectoryElement WebKitDOMHTMLDirectoryElement;

## Property Details

### The `“compact”` property

      “compact”                  gboolean

read-write gboolean HTMLDirectoryElement:compact.

Flags: Read / Write

Default value: FALSE